classdef Tracker < handle
    %ICUB Summary of this class goes here
    %   Detailed explanation goes here
    %TODO home posture, check units
    
    properties
        trackername = 'Left';
        pixelCoord = [];
        confidance = 0;
        
        yarpCntPanel=0;
    end
    
    methods
        function tracker = Tracker(trackername, YarpCntPanel_h)
            if nargin > 0
                tracker.trackername = trackername;
            end
            
            tracker.yarpCntPanel = YarpCntPanel_h;
        end
        
        
        
        %         function open(tracker)
        %             if tracker.connected
        %                 return;
        %             end
        %
        %             getYarped();
        %
        %             tracker.connected = 1;
        %
        %             tracker.PixelInpPort= openPort([tracker.thisScope ':i']);
        %             disp(['tracker is responsible for ' tracker.trackername ' eye '])
        %             if strcmp(tracker.trackername,'Left')
        %
        %                [status,result] = system(['yarp connect /pf3dTracker_L/data:o /' tracker.thisScope ':i']);
        %
        %             else
        %                 [status,result] = system(['yarp connect /pf3dTracker_R/data:o /' tracker.thisScope ':i']);
        %             end
        %             if ~result
        %                  tracker.connected =0;
        %             end
        %
        %
        %         end
        
        %         function close(tracker)
        %             if ~tracker.connected
        %                 return;
        %             end
        %             tracker.PixelInpPort.close();
        %
        %             tracker.connected = 0;
        %             disp('disconnected');
        %         end
        
        %         function delete(tracker)
        %             tracker.close();
        %         end
        
        
        function getInfos(tracker)
            if tracker.yarpCntPanel.isconnected
                qr = yarp.Bottle();
                tracker.yarpCntPanel.port.read(qr);
                pixX = 0;pixY=0;
                pixX = qr.get(4).asDouble +pixX;
                pixY = qr.get(5).asDouble +pixY;
                tracker.pixelCoord = [pixX ,pixY]/100;
                tracker.confidance = qr.get(6).asDouble;
            end
        end
        
    end%methods
    
end%class

