close all;
clear all;
pause(0.1);

getYarped();


robotname = 'icub';
%hand = 'lefthand'
hand = 'righthand'
iportname = ['/' robotname '/skin/' hand];
rportname = '/myskinreader';

port = yarpOpenPort(rportname);

yarpConnect(iportname, rportname);

T = [];


h = figure;
set(gcf, 'SelectionType', 'open');
stop = 0;
while ~stop
    button = get(gcf,'SelectionType');
    if strcmp(button, 'alt')
        stop = 1;
        set(gcf, 'SelectionType', 'open');
    end
    
    b = yarp.Bottle;
    port.read(b, boolean(false));
    t = str2num(b.toString_c);
    %sum(t)
    T = [T; t];
    pause(0.05);
end

port.close();

save('tactile.mat', 'T');


