% this script adjusts the thresholds for detecting rare correlations
tic

% Shifting FIFO 
s_monitoringCorrSlindingW(2:t_sizeOfSlindingW) =...
    s_monitoringCorrSlindingW(1:t_sizeOfSlindingW - 1);
s_monitoringCorrSlindingW(1) = s_numberOfPosHighCorrPerStep;

s_currentRareEventsPerSecond = sum(s_monitoringCorrSlindingW) / p_monitoringSlindingWindowLengthInSeconds;

%s_currentRareEventsPerSecond = sum(s_monitoringCorrSlindingW .* [t_sizeOfSlindingW:-1:1]) / (p_monitoringSlindingWindowLengthInSeconds * sum([t_sizeOfSlindingW:-1:1]));

if (s_currentRareEventsPerSecond > ((1.5 * p_HCPerSecond) * t_numberOfPlasticSynapses) || ...
    s_currentRareEventsPerSecond < ((0.5 * p_HCPerSecond) * t_numberOfPlasticSynapses))
    t_updateThreshold = 1;
else
    t_updateThreshold = 0;
end

if s_time < p_sampleThresholdEstimationInSec
    t_updateThreshold = 1;
end;

if t_updateThreshold == 1 || s_remainingStepsInEstimation > 0
    estimateThrehold;
end

s_cputime(2) = s_cputime(2) + toc;