s_shortTermHebb = sparse (  (s_shortTermHebb ) .* exp(-p_samplingTime/p_traceTC) + s_highCorr  );

if p_squareTraces == 1    
    s_shortTermHebbSquare = s_shortTermHebb;
    % 0.1591 is the average value of the exponentially decreasing trace 
    % 0.3679 and 0.0498 are the values at 1 and 3 s of the exponential 
    s_shortTermHebbSquare(s_shortTermHebb > 0.04) = 0.1591;
    s_shortTermHebbSquare(s_shortTermHebb >= 0.31) = 0;
end

% clipping
s_shortTermHebb = max(min(s_shortTermHebb, p_traceIncrementWithPC), 2 * p_traceDecrementWithNC);
