
SVNDIR=$HOME/SVN/Projects/icubconditioning
STME=2

SERVICE="MarkerTracker"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/MarkerTracker/build/MarkerTracker --context $SVNDIR/Demo/workspace/MarkerTracker/conf/"
	sleep $STME
	#sleep $STME
	yarp connect /icub/cam/left /MarkerTracker/image:i
fi


SERVICE="RandomHeadMovements"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/RandomHeadMovements/build/RandomHeadMovements --context $SVNDIR/Demo/workspace/RandomHeadMovements/conf/"
	sleep $STME
fi


SERVICE="SimpleGazeCtrl"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/SimpleGazeCtrl/build/SimpleGazeCtrl --context $SVNDIR/Demo/workspace/SimpleGazeCtrl/conf/ --from $SVNDIR/Demo/workspace/SimpleGazeCtrl/conf/SimpleGazeCtrl.ini"
	sleep $STME
	yarp connect /MarkerTracker/marker:o /SimpleGazeCtrl/marker:i
fi


SERVICE="iCubSkinGui"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal  -t "$SERVICE" -x bash -c "iCubSkinGui --from right_hand.ini"
	sleep $STME
	yarp connect /icub/skin/righthand /skinGui/right_hand:i
fi

#echo "set state 1"  | yarp rpc /SimpleGazeCtrl/command

#echo "set state 0"  | yarp rpc /SimpleGazeCtrl/command
#echo "quit"  | yarp rpc /SimpleGazeCtrl/command

