echo "using ICUB_ROOT="$ICUB_ROOT

SVNDIR=$PWD/../

TERM1="andorit"
TERM2="andorit"
TERM3="andorit"
TERM4="andorit"
echo "using SVNDIR="$SVNDIR

STME=1


SERVICE="yarpserver"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
    gnome-terminal -t "$SERVICE" -x bash -c "$SERVICE"
fi
sleep $STME


SERVICE="iCub_SIM"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	#gnome-terminal -t "$SERVICE" -x bash -c "ICUB_ROOT=$ICUB_ROOT $SERVICE"
	gnome-terminal -t "$SERVICE" -x bash -c "ICUB_ROOT=$ICUB_ROOT $SERVICE --context $SVNDIR/Demo/simConfig"
fi
sleep $STME


SERVICE="Grabber"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	#old: gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --verbose --device grabber --v4l --name /grabber --width 640 --height 480"
	#gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --verbose --device opencv_grabber --v4l --name /grabber --width 640 --height 480"
	#gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --device test_grabber --width 640 --height 480 --name /grabber"
	 gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --device opencv_grabber --width 640 --height 480 --name /grabber --camera 0" 

fi
sleep $STME

echo "Connect grabber to simulator"
yarp connect /grabber /icubSim/texture/screen


SERVICE="MarkerTracker"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	ssh -X $TERM4 gnome-terminal -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/MarkerTracker/build/MarkerTracker --context $SVNDIR/Demo/workspace/MarkerTracker/conf/" &
fi
sleep $STME
sleep $STME

echo "Connect left eye to tracker"
yarp connect /icubSim/cam/left /MarkerTracker/image:i
sleep $STME


SERVICE="RandomHeadMovements"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	ssh -X $TERM2 gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/RandomHeadMovements/build/RandomHeadMovements --context $SVNDIR/Demo/workspace/RandomHeadMovements/conf/ --from RandomHeadMovementsSim.ini --robot icubSim" &
	sleep $STME
fi


SERVICE="SimpleGazeCtrl"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	ssh -X $TERM2 gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/SimpleGazeCtrl/build/SimpleGazeCtrl --context $SVNDIR/Demo/workspace/SimpleGazeCtrl/conf/ --from SimpleGazeCtrlSim.ini --robot icubSim" &
	sleep $STME
	yarp connect /MarkerTracker/marker:o /SimpleGazeCtrl/marker:i
fi
#sleep $STME

echo "Connect grabber to simulator"
yarp connect /grabber /icubSim/texture/screen

SERVICE="Matlab"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal -t "$SERVICE" --working-directory="$SVNDIR/Demo/matlab/" -x bash -c "$SVNDIR/Demo/matlab/matlab.sh"
fi

SERVICE="testCommonColorTrackerICUB.sh"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal -t "$SERVICE" -x bash -c "./startCommon/$SERVICE"
fi
