echo "using ICUB_ROOT="$ICUB_ROOT

SVNDIR=$PWD/../

TERM1="evenkit"
TERM2="andorit"
TERM3="andorit"
TERM4="evenkit"
echo "using SVNDIR="$SVNDIR

STME=2



SERVICE="MarkerTracker"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/MarkerTracker/build/MarkerTracker --context $SVNDIR/Demo/workspace/MarkerTracker/conf/"
	sleep $STME
	#sleep $STME
	yarp connect /icub/cam/right /MarkerTracker/image:i
fi

SERVICE="testCommonColorTrackerICUB.sh"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal -t "$SERVICE" -x bash -c "./startCommon/$SERVICE"
fi




SERVICE="SimpleGazeCtrl"
echo "starting $SERVICE on $TERM2"
ssh -X $TERM2 'gnome-terminal -t "SimpleGazeCtrl" -x bash -c "( ( source /vol/ai/lib/modules-tcl/init/bash; module use /vol/cor/local/.global/share/modulefiles; module load icub/stable; /homes/alemme/SVN/Projects/icubconditioning/Demo/workspace/SimpleGazeCtrl/build/SimpleGazeCtrl --context /homes/alemme/SVN/Projects/icubconditioning/Demo/workspace/SimpleGazeCtrl/conf/ ) )"' 
sleep $STME
sleep $STME
yarp connect /MarkerTracker/marker:o /SimpleGazeCtrl/marker:i




SERVICE="RandomHeadMovements"
echo "starting $SERVICE on $TERM2"
ssh -X $TERM2 'gnome-terminal -t "RandomHeadMovements" -x bash -c "( ( source /vol/ai/lib/modules-tcl/init/bash; module use /vol/cor/local/.global/share/modulefiles; module load icub/stable; /homes/alemme/SVN/Projects/icubconditioning/Demo/workspace/RandomHeadMovements/build/RandomHeadMovements --context /homes/alemme/SVN/Projects/icubconditioning/Demo/workspace/RandomHeadMovements/conf/ ) )"'
sleep $STME
