echo "using ICUB_ROOT="$ICUB_ROOT

SVNDIR=$PWD/../

echo "using SVNDIR="$SVNDIR

STME=1


SERVICE="yarpserver"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
    gnome-terminal -t "$SERVICE" -x bash -c "$SERVICE"
	sleep $STME
fi


SERVICE="iCub_SIM"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	#gnome-terminal -t "$SERVICE" -x bash -c "ICUB_ROOT=$ICUB_ROOT $SERVICE"
	#gnome-terminal -t "$SERVICE" -x bash -c "ICUB_ROOT=$ICUB_ROOT $SERVICE --context $SVNDIR/Demo/simConfig"
	#gnome-terminal -t "$SERVICE" -x bash -c "ICUB_ROOT=$ICUB_ROOT $SERVICE --from $SVNDIR/Demo/simConfig/simulator.ini"
	gnome-terminal -t "$SERVICE" -x bash -c "ICUB_ROOT=$ICUB_ROOT $SERVICE --from simConfig/simulator.ini"
	sleep $STME
fi


SERVICE="RopsciSequencer"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/RopsciSequencer -x bash -c "./build/RopsciSequencer --from conf/RopsciSequencer.ini"
	sleep $STME
fi


SERVICE="ESpeakServer"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/ESpeakServer -x bash -c "./build/ESpeakServer --from conf/ESpeakServer.ini"
	sleep $STME
fi


echo "Connect RopsciSequencer to ESpeakServer"
yarp connect /RopsciSequencer/es:o /ESpeakServer/command  


SERVICE="MVITE"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/MVITE/build/MVITE --from $SVNDIR/Demo/workspace/MVITE/conf/MVITE.ini"
	sleep $STME
fi


echo "Connect RopsciSequencer to MVITE"
yarp connect /RopsciSequencer/jas:o /MVITE/command  

sleep $STME

echo "Start sequence"
echo "set state 0"  | yarp rpc /RopsciSequencer/command



exit 0


SERVICE="RandomArmMovements"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/RandomHeadMovements/build/RandomArmMovements --from $SVNDIR/Demo/workspace/RandomHeadMovements/conf/module_rightarm_sim.ini"
	sleep $STME
fi

#echo "Start RandomArmMovements"
#echo "set start"  | yarp rpc /RandomArmMovements/state:i

echo "Connect RopsciSequencer to RandomArmMovements"
yarp connect /RopsciSequencer/jas:o /RandomArmMovements/state:i  

sleep $STME

echo "Start sequence"
echo "set state 0"  | yarp rpc /RopsciSequencer/command





