
#ifndef _VITE_MODULE_H_
#define _VITE_MODULE_H_

#include <yarp/sig/all.h>
#include <yarp/math/api.h>
#include <string>

using namespace yarp::sig;

using namespace std;
/**
 * here you need to document your classes.
 */
class Vite{
friend class RandomMovementModule;
private:
	Vector xd;
	Vector xs;
	double alpha;
	double beta;
	double noise;

public:
	Vite(Vector& xd,Vector& xs, double alpha, double beta, double noise);
	~Vite();
	Vector step( Vector& x,  Vector& v);
	void setNewTask( Vector& xd, Vector& xs);
	string toString();
	void setAlpha(double value);
	void setBeta(double value);


};


#endif // _VITE_MODULE_H_

//----- end-of-file --- ( next line intentionally left blank ) ------------------

