
/**
 * @file MarkerTrackerThread.cpp
 * @brief implementation of the MarkerTrackerThread (for the blobTrackerModule) methods.
 */

#include "iCub/RandomMovementThread.h"



using namespace std;



RandomMovementThread::RandomMovementThread(RandomMovementModule* module) {
	this->module =module;
}

bool RandomMovementThread::threadInit() {
	return module->init();
}

void RandomMovementThread::run() {
	int time;
	printf("RandomMovementThread:run\n");

		module->process();

}


void RandomMovementThread::threadRelease()
{

	printf("ControlThread:stopping the robot\n");
	module->stopMovement();
	printf("Done, goodbye from ControlThread\n");
}

void RandomMovementThread::onStop() {
	printf("ControlThread:stopping the robot\n");
	module->stopMovement();
}


