#module load nivision
export PATH=$PATH:/vol/nivision/bin/icl-7.4.0/

for i in {0..9} ; do
	echo "creating marker ${i}"
	#icl-create-marker -id bch $i -o bchmarker-${i}.png
	#convert -gravity center -bordercolor white -page Letter "bchmarker-${i}.png" -scale 90% -interpolate NearestNeighbor "bchmarker-${i}.pdf"
	icl-create-marker -id bch $i -b 2 -s 10x10 -o bchmarker-${i}.png
	convert -gravity center -bordercolor white -page Letter "bchmarker-${i}.png" -scale 2800% -interpolate NearestNeighbor "bchmarker-${i}.pdf"
done

echo "creating marker collection"
mergepdf.sh bchmarker.pdf bchmarker-0.pdf bchmarker-1.pdf bchmarker-2.pdf bchmarker-3.pdf bchmarker-4.pdf bchmarker-5.pdf bchmarker-6.pdf bchmarker-7.pdf bchmarker-8.pdf bchmarker-9.pdf

