classdef CCDemoGUI < handle
    %PADDLEGUI Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        app = [];
        f = [];
        
        icubPanel = [];
        statePanel = [];
        varPanel = [];
    end
    
    methods
        function gui = CCDemoGUI(app)
            gui.app = app;

            gui.f = figure('Visible','off','Position',[400,300,800,700]);
            set(gui.f,'MenuBar','none');
            set(gui.f,'Units','normalized');
            set(gui.f,'Name','PaddleDemo');
            movegui(gui.f,'center');
            set(gui.f,'Visible','on');
            
            gui.icubPanel = uipanel(...%'Title', 'iCub',...
                'Units','normalized',...
                'Position', [0 1-0.3 0.5 0.3],...
                'FontSize', 12, 'BackgroundColor', 'white');
            gui.statePanel = uipanel('Title', 'State Machine',...
                'Units','normalized',...
                'Position', [0.5 1-0.3 0.5 0.3],...
                'FontSize', 12, 'BackgroundColor', 'white');
            gui.varPanel = uipanel(...%'Title', 'iCub',...
                'Units','normalized',...
                'Position', [0 0 1 0.7],...
                'FontSize', 12, 'BackgroundColor', 'white');
        end

    end
    
end

