clear all;

system('echo "world del all"  | yarp rpc /icubSim/world');
system('echo "world mk sbox 0.05 0.05 0.05 0 0.9 0.4 0 1 0"  | yarp rpc /icubSim/world');

close all;
f=figure;
stop = 0;
minmaxval = 1.2;
set(f, 'SelectionType', 'open');
while ~stop
    button = get(f,'SelectionType');
    point = get(gca, 'CurrentPoint');
    target = [point(1,1) point(1,2)];
   
    if strcmp(button, 'alt')
        stop = 1;
    end
    
    clf(f);
    hold on; box on; grid on;
    daspect([1 1 1]);
    axis([-minmaxval minmaxval 0 minmaxval]);
    plot(target(1), target(2), '*r');
   
    boxpos =  [num2str(target(1)) ' ' num2str(target(2)) ' 0.5'];
    system(['echo "world set sbox 1 ' boxpos '"  | yarp rpc /icubSim/world']);
    pause(0.03);
end %while
close all;


