function [] = getYarped()

%%%%%%%%%%%%%%%%% GET YARPED %%%%%%%%%%%%%%%%%%%%%%%%%%%%

JYARP_PATH = [getenv('ICUB_ROOT') filesep 'lib' filesep 'java'];
disp(JYARP_PATH);
if ~exist(JYARP_PATH, 'dir')
    error('ICUB_ROOT environment variable not set or wrong path');
end

if exist([JYARP_PATH filesep 'yarp.jar'], 'file')
    JYARP_PATH = [JYARP_PATH filesep 'yarp.jar'];
end

yarped = 0;
jcp = javaclasspath;
for i=1:length(jcp)
    if strcmp(jcp{i}, JYARP_PATH)
        yarped = 1;
    end
end

if ~yarped
    javaaddpath(JYARP_PATH);
    LoadYarp;
end
