    if mod(sim.time,2) == 0 || aid.currentStimulus == 1 || aid.showOnceMore == 1
        
        aid.nrOfHC = nnz(sim.highCorr);
        aid.posHT = nnz(sim.highCorr > 0);
        aid.posHTS1 = nnz(sim.highCorr(sim.stimuliSet(1,:),:) > 0);
        aid.negHTS1 = nnz(sim.highCorr(sim.stimuliSet(1,:),:) < 0);
        aid.posHTHTratio = aid.posHT / aid.nrOfHC;
        aid.stPosHebbTotal = sum(sum( (sim.shortTermHebb > 0) .* sim.shortTermHebb));
        aid.stNegHebbTotal = sum(sum( (sim.shortTermHebb < 0) .* sim.shortTermHebb));
        
        disp(['T:' num2str(sim.step*par.samplingTime) ' Step:' num2str(sim.step)...
            ' Sti:' num2str(aid.currentStimulus)...
            ' AllS:' num2str(l_allSynapses(sim.step))...
            ' CS:' num2str(l_CSsynapses(sim.step))...
            ' HC:' num2str(aid.nrOfHC)...
            ' +HC/HC: ' num2str(aid.posHTHTratio)...
            ' +HCTh:' num2str(par.positiveCorrThreshold)...
            ' +HCS1:' num2str(aid.posHTS1)...          
            ' -HCS1:' num2str(aid.negHTS1)...          
            ' UpdTh:' num2str(aid.updateThreshold)...
            ' +HCPercent/sec: ' num2str(l_rareEventsRate(sim.step))...
             ]);
        if aid.visual == 1 

        plotScen1r;
        
        end
    end
    
    if aid.currentStimulus == 1
        aid.showOnceMore = 1;
    else
        aid.showOnceMore = 0;
    end    
