% This script samples data taking the average over a 2 min interval 
% The data set is 10 CC experiments, each having 9 stimuli, one of which is
% the CS. There are therefore 10 CS and 80 non-CS stimuli

totsteps = 6500;
samples = 50;
interval = totsteps/samples;
nrWinners = 9;
nrLoosers = 9;

allWavg = zeros(nrWinners,samples);
allLavg = zeros(nrLoosers,samples);

for i = 1:nrLoosers
    count = 0;
    for j = 1:interval:totsteps
        count = count + 1;
        allLavg(i,count) = mean(loosers1(i,j:(j+interval-1)),2); 
    end
end

for i=1:nrWinners
    count = 0;
    for j = 1:interval:totsteps
        count = count + 1;
        allWavg(i,count) = mean(winners(i,j:(j+interval-1)),2); 
    end
    
end

figure;


boxplot(allWavg(:,:),'plotstyle','compact','colors','b');
set(gca,'XTickLabel',{' '})
hold on;
boxplot(allLavg(:,:),'plotstyle','compact','colors',[0 0.5 0]);
set(gca,'XTickLabel',{' '})
grid;

