for run = 1:10
    
    
    disp('load file please and continue');
    keyboard;
    
    
    totsteps = 18000;
    samples = 50;
    interval = totsteps/samples;
    nrWinners = 9;
    nrLoosers = 18;
    
    allWavg = zeros(nrWinners,samples);
    allLavg = zeros(nrLoosers,samples);
    
    for i=1:nrWinners
        count = 0;
        for j = 1:interval:totsteps
            count = count + 1;
            allWavg(i,count) = mean(app.netOC.log.synapsesStoO{i}(j:(j+interval-1),mod(i - 1,3) + 1));
        end
        
    end
    
    for i = 1:nrWinners %(not a bug)
        count = 0;
        for j = 1:interval:totsteps
            count = count + 1;
            firstIndex = 2 * (i -1 ) + 1;
            losersIndexes = find([1 2 3] ~= mod(i - 1, 3) + 1);
            allLavg(firstIndex,count) = mean(app.netOC.log.synapsesStoO{i}(j:(j+interval-1),losersIndexes(1)));
            allLavg(firstIndex+1,count) = mean(app.netOC.log.synapsesStoO{i}(j:(j+interval-1),losersIndexes(2)));
            
        end
    end
    
    indexW = 9 * (run - 1) + 1;
    indexL = 18 * (run - 1) + 1;
    
    allRunsW(indexW:indexW+8,:) = allWavg;
    allRunsL(indexL:indexL+17,:) = allLavg;
    
end

figure;


boxplot(allWavg(:,:),'plotstyle','compact','colors','b');
set(gca,'XTickLabel',{' '})
hold on;
boxplot(allLavg(:,:),'plotstyle','compact','colors',[0 0.5 0]);
set(gca,'XTickLabel',{' '})
grid;
