function [Y t] = threshold(X, t)
%threshold 
%   [Y t] = threshold(X, t)

m = repmat(min(min(X)), size(X,1), size(X,2));
Y = X - m;
s = max(max(Y));
Y = Y ./ s;

if nargin < 2 || isempty(t)
   [t EM] = graythresh(Y);
end

Y(Y >= t) = 1;
Y(Y < t) = 0;

t = s * t + min(min(m));
