echo "using ICUB_ROOT="$ICUB_ROOT

SVNDIR=$PWD/../

echo "using SVNDIR="$SVNDIR

STME=1





SERVICE="MVITE"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
	gnome-terminal  -t "$SERVICE" -x bash -c "$SVNDIR/Demo/workspace/MVITE/build/MVITE --from $SVNDIR/Demo/workspace/MVITE/conf/MVITE_Fast.ini"
	sleep $STME
fi

SERVICE="RopsciSequencer"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/RopsciSequencer -x bash -c "./build/RopsciSequencer --from conf/RopsciSequencer.ini"
	sleep $STME
fi

echo "Connect RopsciSequencer to MVITE"
yarp connect /RopsciSequencer/jas:o /MVITE/command  

sleep $STME


SERVICE="ESpeakServer"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/ESpeakServer -x bash -c "./build/ESpeakServer --from conf/ESpeakServer.ini"
	sleep $STME
fi


echo "Connect RopsciSequencer to ESpeakServer"
yarp connect /RopsciSequencer/es:o /ESpeakServer/command  


SERVICE="RPSDetector"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/Ropsci -x bash -c "./build/Ropsci --from conf/Ropsci.ini"
	sleep 3
fi


echo "Connect icub Cam left to detector"
yarp connect /icub/cam/left /Ropsci/image:i

SERVICE="MarkerTracker"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/MarkerTracker -x bash -c "./build/MarkerTracker --context ./conf"
	sleep $STME
	sleep $STME
fi

yarp connect /icub/cam/left /MarkerTracker/image:i


