echo "using ICUB_ROOT="$ICUB_ROOT

SVNDIR=$PWD/../

echo "using SVNDIR="$SVNDIR

STME=1


SERVICE="yarpserver"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
    gnome-terminal -t "$SERVICE" -x bash -c "$SERVICE"
	sleep $STME
fi


SERVICE="Grabber"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	#old: gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --verbose --device grabber --v4l --name /grabber --width 640 --height 480"
	#gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --verbose --device opencv_grabber --v4l --name /grabber --width 640 --height 480"
	#gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --device test_grabber --width 640 --height 480 --name /grabber"
	gnome-terminal -t "$SERVICE" -x bash -c "yarpdev --device opencv_grabber --width 640 --height 480 --name /grabber --camera 0"
	sleep 3
fi


SERVICE="RPSDetector"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/Ropsci -x bash -c "./build/Ropsci --from conf/Ropsci.ini"
	sleep 3
fi


echo "Connect grabber to detector"
yarp connect /grabber /Ropsci/image:i


SERVICE="RopsciSequencer"
if ps ax | grep -v grep | grep $SERVICE > /dev/null
then
    echo "$SERVICE service running, everything is fine"
else
    echo "$SERVICE is not running, starting it"
	gnome-terminal -t "$SERVICE" --working-directory=$SVNDIR/Demo/workspace/RopsciSequencer -x bash -c "./build/RopsciSequencer --from conf/RopsciSequencer.ini"
	sleep $STME
fi



